
/* gvSIG. Sistema de Informacin Geogrfica de la Generalitat Valenciana
*
* Copyright (C) 2004 IVER T.I. and Generalitat Valenciana.
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,USA.
*
* For more information, contact:
*
*  Generalitat Valenciana
*   Conselleria d'Infraestructures i Transport
*   Av. Blasco Ibez, 50
*   46010 VALENCIA
*   SPAIN
*
*      +34 963862235
*   gvsig@gva.es
*      www.gvsig.gva.es
*
*    or
*
*   IVER T.I. S.A
*   Salamanca 50
*   46005 Valencia
*   Spain
*
*   +34 963163400
*   dac@iver.es
*/
package es.gva.cit.catalogClient.ui.search;
import es.gva.cit.catalogClient.querys.Coordinates;
import es.gva.cit.catalogClient.schemas.Schemas;
import es.gva.cit.catalogClient.traductor.ITranslator;
import es.gva.cit.catalogClient.traductor.Translator;
import es.gva.cit.catalogClient.utils.Doubles;
import com.iver.utiles.swing.jcomboServer.ServerData;
import java.awt.Color;
import java.awt.FlowLayout;
import java.awt.GridLayout;
import java.text.SimpleDateFormat;
import javax.swing.BoxLayout;
import javax.swing.ButtonGroup;
import javax.swing.JComboBox;
import javax.swing.JFormattedTextField;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JRadioButton;
import javax.swing.JTextField;
import javax.swing.border.TitledBorder;

/**
 * 
 * 
 * 
 * @author Jorge Piera Llodra (piera_jor@gva.es)
 */
public class SearchLowerPanel extends JPanel {
/**
 * 
 * 
 */
    private JPanel panelBotones = null;
/**
 * 
 * 
 */
    private JRadioButton exactaButton = null;
/**
 * 
 * 
 */
    private JRadioButton cualquieraButton = null;
/**
 * 
 * 
 */
    private JRadioButton todasButton = null;
/**
 * 
 * 
 */
    private JComboBox categoriaCombo = null;
/**
 * 
 * 
 */
    private JComboBox escalaCombo = null;
/**
 * 
 * 
 */
    private JPanel panelLabCategoria = null;
/**
 * 
 * 
 */
    private JLabel categoriaLab = null;
/**
 * 
 * 
 */
    private JPanel panelLabEscala = null;
/**
 * 
 * 
 */
    private JLabel escalaLabel = null;
/**
 * 
 * 
 */
    private JPanel panelLabProveedor = null;
/**
 * 
 * 
 */
    private JLabel proveedorLabel = null;
/**
 * 
 * 
 */
    private JTextField providerText = null;
/**
 * 
 * 
 */
    private JPanel panelAjusteBotones = null;
/**
 * 
 * 
 */
    private JPanel lowerRightPanel = null;
/**
 * 
 * 
 */
    private JPanel panelLabFecha = null;
/**
 * 
 * 
 */
    private JPanel lowerLeftPanel = null;
/**
 * 
 * 
 */
    private JPanel panelDe = null;
/**
 * 
 * 
 */
    private JPanel panelHasta = null;
/**
 * 
 * 
 */
    private JLabel deLabel = null;
/**
 * 
 * 
 */
    private JFormattedTextField fromText = null;
/**
 * 
 * 
 */
    private JLabel ALabel = null;
/**
 * 
 * 
 */
    private JFormattedTextField toText = null;
/**
 * 
 * 
 */
    private JPanel jPanel3 = null;
/**
 * 
 * 
 */
    private JPanel panelSuperiores = null;
/**
 * 
 * 
 */
    private JPanel panelInferiores = null;
/**
 * 
 * 
 */
    private JLabel ULXLabel = null;
/**
 * 
 * 
 */
    private JTextField ULXText = null;
/**
 * 
 * 
 */
    private JLabel ULYLabel = null;
/**
 * 
 * 
 */
    private JTextField ULYText = null;
/**
 * 
 * 
 */
    private JLabel BRXLabel = null;
/**
 * 
 * 
 */
    private JTextField BRXText = null;
/**
 * 
 * 
 */
    private JLabel BRYLabel = null;
/**
 * 
 * 
 */
    private JTextField BRYText = null;
/**
 * 
 * 
 */
    private JPanel jPanel = null;
/**
 * 
 * 
 */
    private JPanel jPanel8 = null;
/**
 * 
 * 
 */
    private JPanel panelCategoriaCombo = null;
/**
 * 
 * 
 */
    private JPanel panelEscalaCombo = null;
/**
 * 
 * 
 */
    private JPanel panelProveedorText = null;
/**
 * 
 * 
 */
    private JPanel panelLabResumen = null;
/**
 * 
 * 
 */
    private JPanel panelTextResumen = null;
/**
 * 
 * 
 */
    private JPanel panelLabClave = null;
/**
 * 
 * 
 */
    private JPanel panelTextClave = null;
/**
 * 
 * 
 */
    private JLabel resumenLabel = null;
/**
 * 
 * 
 */
    private JLabel claveLabel = null;
/**
 * 
 * 
 */
    private JTextField resumenText = null;
/**
 * 
 * 
 */
    private JTextField keyWordText = null;
/**
 * 
 * 
 */
    private JComboBox coordenadasCombo = null;
/**
 * 
 * 
 */
    private JPanel panelCoordenadas = null;
/**
 * 
 * 
 */
    private JPanel lowerPanel = null;
/**
 * 
 * 
 */
    private ITranslator translator = null;

/**
 * 
 * 
 */
    private String serverType = null;

/**
 * This method initializes
 * 
 * 
 * @param translator 
 * @param serverType 
 * @param serverProfile 
 */
    public  SearchLowerPanel(ITranslator translator, String serverType, String serverProfile) {        
        super();
        this.translator = translator;
        this.serverType = serverType;
        initialize();
        disableComponents(serverType,serverProfile);
    } 

/**
 * This method initializes this
 * 
 */
    private void initialize() {        
        this.setLayout(new BoxLayout(this, BoxLayout.Y_AXIS));
        this.setLocation(0, 0);
        this.setSize(565, 335);
        this.setPreferredSize(new java.awt.Dimension(565,335));
        this.add(getLowerPanel(), null);
    } 

/**
 * This method initializes jPanel
 * 
 * 
 * @return javax.swing.JPanel
 */
    private JPanel getPanelBotones() {        
        if (panelBotones == null) {
            panelBotones = new JPanel();
            panelBotones.setLayout(new BoxLayout(panelBotones, BoxLayout.Y_AXIS));
            panelBotones.setBorder(javax.swing.BorderFactory.createTitledBorder(
                    null, Translator.getText(translator,"concordancia"),
                    javax.swing.border.TitledBorder.DEFAULT_JUSTIFICATION,
                    javax.swing.border.TitledBorder.DEFAULT_POSITION, null, null));
            panelBotones.add(getExactaButton(), null);
            panelBotones.add(getCualquieraButton(), null);
            panelBotones.add(getTodasButton(), null);
            ButtonGroup group = new ButtonGroup();
            group.add(getExactaButton());
            group.add(getCualquieraButton());
            group.add(getTodasButton());
        }
        return panelBotones;
    } 

/**
 * This method initializes jRadioButton
 * 
 * 
 * @return javax.swing.JRadioButton
 */
    private JRadioButton getExactaButton() {        
        if (exactaButton == null) {
            exactaButton = new JRadioButton();
            exactaButton.setText(Translator.getText(translator,"exactSentence"));
            exactaButton.setSelected(true);
        }
        return exactaButton;
    } 

/**
 * This method initializes jRadioButton1
 * 
 * 
 * @return javax.swing.JRadioButton
 */
    private JRadioButton getCualquieraButton() {        
        if (cualquieraButton == null) {
            cualquieraButton = new JRadioButton();
            cualquieraButton.setText(Translator.getText(translator,"anyWord"));
        }
        return cualquieraButton;
    } 

/**
 * This method initializes jRadioButton2
 * 
 * 
 * @return javax.swing.JRadioButton
 */
    private JRadioButton getTodasButton() {        
        if (todasButton == null) {
            todasButton = new JRadioButton();
            todasButton.setText(Translator.getText(translator,"allWords"));
        }
        return todasButton;
    } 

/**
 * This method initializes jComboBox
 * 
 * 
 * @return javax.swing.JComboBox
 */
    private JComboBox getCategoriaCombo() {        
        if (categoriaCombo == null) {
            String[] categorias = {
                    Translator.getText(translator,"cathegoryAny") ,
                    Translator.getText(translator,"cathegoryBiota") ,
                    Translator.getText(translator,"cathegoryBoundaries") ,
                    Translator.getText(translator,"cathegoryClimatologyMeteorologyAtmosphere") ,
                    Translator.getText(translator,"cathegoryEconomy") ,
                    Translator.getText(translator,"cathegoryElevation") ,
                    Translator.getText(translator,"cathegoryEnvironment") ,
                    Translator.getText(translator,"cathegoryFarming") ,
                    Translator.getText(translator,"cathegoryGeoscientificInformation") ,
                    Translator.getText(translator,"cathegoryHealth") ,
                    Translator.getText(translator,"cathegoryImageryBaseMapsEarthCover") ,
                    Translator.getText(translator,"cathegoryInlandWaters") ,
                    Translator.getText(translator,"cathegoryIntelligenceMilitary"),
                    Translator.getText(translator,"cathegoryLocation") ,
                    Translator.getText(translator,"cathegoryOceans"),
                    Translator.getText(translator,"cathegoryPlanningCadastre") ,
                    Translator.getText(translator,"cathegorySociety") ,
                    Translator.getText(translator,"cathegoryStructure") ,
                    Translator.getText(translator,"cathegoryTransportation") ,
                    Translator.getText(translator,"cathegoryUtilitiesCommunication")
                };
            categoriaCombo = new JComboBox(categorias);
            categoriaCombo.setPreferredSize(new java.awt.Dimension(250,20));
            categoriaCombo.setBackground(Color.white);
        }
        return categoriaCombo;
    } 

/**
 * This method initializes jComboBox
 * 
 * 
 * @return javax.swing.JComboBox
 */
    private JComboBox getEscalaCombo() {        
        if (escalaCombo == null) {
            String[] escalas = {
                    Translator.getText(translator,"scaleAny") ,
                    Translator.getText(translator,"scaleI") ,
                    Translator.getText(translator,"scaleII") ,
                    Translator.getText(translator,"scaleIII") ,
                    Translator.getText(translator,"scaleIV") ,
                    Translator.getText(translator,"scaleV") ,
                    Translator.getText(translator,"scaleVI")
                };
            escalaCombo = new JComboBox(escalas);
            escalaCombo.setPreferredSize(new java.awt.Dimension(250,20));
            escalaCombo.setBackground(Color.white);
        }
        return escalaCombo;
    } 

/**
 * This method initializes jPanel
 * 
 * 
 * @return javax.swing.JPanel
 */
    private JPanel getPanelLabCategoria() {        
        if (panelLabCategoria == null) {
            categoriaLab = new JLabel();
            GridLayout gridLayout5 = new GridLayout();
            panelLabCategoria = new JPanel();
            panelLabCategoria.setLayout(gridLayout5);
            categoriaLab.setText(Translator.getText(translator,"cathegory"));
            gridLayout5.setRows(1);
            panelLabCategoria.add(categoriaLab, null);
        }
        return panelLabCategoria;
    } 

/**
 * This method initializes jPanel
 * 
 * 
 * @return javax.swing.JPanel
 */
    private JPanel getPanelLabEscala() {        
        if (panelLabEscala == null) {
            escalaLabel = new JLabel();
            GridLayout gridLayout2 = new GridLayout();
            panelLabEscala = new JPanel();
            panelLabEscala.setLayout(gridLayout2);
            gridLayout2.setRows(1);
            escalaLabel.setText(Translator.getText(translator,"scale"));
            panelLabEscala.add(escalaLabel, null);
        }
        return panelLabEscala;
    } 

/**
 * This method initializes jPanel
 * 
 * 
 * @return javax.swing.JPanel
 */
    private JPanel getPanelLabProveedor() {        
        if (panelLabProveedor == null) {
            proveedorLabel = new JLabel();
            panelLabProveedor = new JPanel();
            GridLayout gridLayout2 = new GridLayout();
            panelLabProveedor.setLayout(gridLayout2);
            proveedorLabel.setText(Translator.getText(translator,"provider"));
            panelLabProveedor.add(proveedorLabel, null);
        }
        return panelLabProveedor;
    } 

/**
 * This method initializes jTextField
 * 
 * 
 * @return javax.swing.JTextField
 */
    private JTextField getProviderText() {        
        if (providerText == null) {
            providerText = new JTextField();
            providerText.setPreferredSize(new java.awt.Dimension(250,20));
        }
        return providerText;
    } 

/**
 * This method initializes jPanel
 * 
 * 
 * @return javax.swing.JPanel
 */
    private JPanel getPanelAjusteBotones() {        
        if (panelAjusteBotones == null) {
            GridLayout gridLayout6 = new GridLayout();
            panelAjusteBotones = new JPanel();
            panelAjusteBotones.setLayout(gridLayout6);
            gridLayout6.setRows(1);
            panelAjusteBotones.add(getPanelBotones(), null);
        }
        return panelAjusteBotones;
    } 

/**
 * This method initializes jPanel3
 * 
 * 
 * @return javax.swing.JPanel
 */
    private JPanel getJPanel3() {        
        if (lowerRightPanel == null) {
            lowerRightPanel = new JPanel();
            lowerRightPanel.setLayout(new BoxLayout(
                    lowerRightPanel, BoxLayout.Y_AXIS));
            lowerRightPanel.setPreferredSize(new java.awt.Dimension(250,330));
            lowerRightPanel.add(getPanelCoordenadas(), null);
            lowerRightPanel.add(getJPanel32(), null);
            lowerRightPanel.add(getJPanel37(), null);
            lowerRightPanel.add(getJPanel8(), null);
        }
        return lowerRightPanel;
    } 

/**
 * This method initializes jPanel3
 * 
 * 
 * @return javax.swing.JPanel
 */
    private JPanel getJPanel32() {        
        if (panelLabFecha == null) {
            TitledBorder titledBorder1 = javax.swing.BorderFactory.createTitledBorder(javax.swing.BorderFactory.createLineBorder(java.awt.Color.gray,5), Translator.getText(translator,"lastUpdateDate"), javax.swing.border.TitledBorder.DEFAULT_JUSTIFICATION, javax.swing.border.TitledBorder.DEFAULT_POSITION, null, null);
            panelLabFecha = new JPanel();
            panelLabFecha.setLayout(new BoxLayout(panelLabFecha, BoxLayout.Y_AXIS));
            panelLabFecha.setBorder(titledBorder1);
            titledBorder1.setBorder(javax.swing.BorderFactory.createLineBorder(java.awt.Color.gray,1));
            panelLabFecha.add(getJPanel34(), null);
            panelLabFecha.add(getJPanel35(), null);
        }
        return panelLabFecha;
    } 

/**
 * This method initializes jPanel3
 * 
 * 
 * @return javax.swing.JPanel
 */
    private JPanel getJPanel33() {        
        if (lowerLeftPanel == null) {
            lowerLeftPanel = new JPanel();
            lowerLeftPanel.setLayout(new BoxLayout(
                    lowerLeftPanel, BoxLayout.Y_AXIS));
            lowerLeftPanel.setPreferredSize(new java.awt.Dimension(250,330));
            lowerLeftPanel.add(getPanelAjusteBotones(), null);
            lowerLeftPanel.add(getPanelLabResumen(), null);
            lowerLeftPanel.add(getPanelTextResumen(), null);
            lowerLeftPanel.add(getPanelLabClave(), null);
            lowerLeftPanel.add(getPanelTextClave(), null);
            lowerLeftPanel.add(getPanelLabCategoria(), null);
            lowerLeftPanel.add(getPanelCategoriaCombo(), null);
            lowerLeftPanel.add(getPanelLabEscala(), null);
            lowerLeftPanel.add(getPanelEscalaCombo(), null);
            lowerLeftPanel.add(getPanelLabProveedor(), null);
            lowerLeftPanel.add(getPanelProveedorText(), null);
        }
        return lowerLeftPanel;
    } 

/**
 * This method initializes jPanel3
 * 
 * 
 * @return javax.swing.JPanel
 */
    private JPanel getJPanel34() {        
        if (panelDe == null) {
            deLabel = new JLabel();
            FlowLayout flowLayout11 = new FlowLayout();
            panelDe = new JPanel();
            panelDe.setLayout(flowLayout11);
            deLabel.setText(Translator.getText(translator,"from"));
            deLabel.setPreferredSize(new java.awt.Dimension(60,15));
            deLabel.setHorizontalTextPosition(javax.swing.SwingConstants.RIGHT);
            deLabel.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
            panelDe.setComponentOrientation(java.awt.ComponentOrientation.LEFT_TO_RIGHT);
            flowLayout11.setAlignment(java.awt.FlowLayout.LEFT);
            panelDe.add(deLabel, null);
            panelDe.add(getFromText(), null);
        }
        return panelDe;
    } 

/**
 * This method initializes jPanel3
 * 
 * 
 * @return javax.swing.JPanel
 */
    private JPanel getJPanel35() {        
        if (panelHasta == null) {
            ALabel = new JLabel();
            FlowLayout flowLayout12 = new FlowLayout();
            panelHasta = new JPanel();
            panelHasta.setLayout(flowLayout12);
            ALabel.setText(Translator.getText(translator,"to"));
            ALabel.setPreferredSize(new java.awt.Dimension(60,16));
            ALabel.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
            flowLayout12.setAlignment(java.awt.FlowLayout.LEFT);
            panelHasta.add(ALabel, null);
            panelHasta.add(getToText(), null);
        }
        return panelHasta;
    } 

/**
 * This method initializes jTextField
 * 
 * 
 * @return javax.swing.JTextField
 */
    private JFormattedTextField getFromText() {        
        if (fromText == null) {
            fromText = new JFormattedTextField();
            fromText.setPreferredSize(new java.awt.Dimension(100, 20));
        }
        return fromText;
    } 

/**
 * This method initializes jTextField
 * 
 * 
 * @return javax.swing.JTextField
 */
    private JFormattedTextField getToText() {        
        if (toText == null) {
          toText = new JFormattedTextField();
            toText.setPreferredSize(new java.awt.Dimension(100, 20));
        }
        return toText;
    } 

/**
 * This method initializes jPanel3
 * 
 * 
 * @return javax.swing.JPanel
 */
    private JPanel getJPanel37() {        
        if (jPanel3 == null) {
            jPanel3 = new JPanel();
            jPanel3.setPreferredSize(new java.awt.Dimension(10, 10));
        }
        return jPanel3;
    } 

/**
 * This method initializes jPanel4
 * 
 * 
 * @return javax.swing.JPanel
 */
    private JPanel getPanelSuperiores() {        
        if (panelSuperiores == null) {
            ULXLabel = new JLabel();
            ULYLabel = new JLabel();
            panelSuperiores = new JPanel();
            panelSuperiores.setBorder(javax.swing.BorderFactory.createTitledBorder(
                    null, Translator.getText(translator,"upperCoordinates"),
                    javax.swing.border.TitledBorder.DEFAULT_JUSTIFICATION,
                    javax.swing.border.TitledBorder.DEFAULT_POSITION, null, null));
            panelSuperiores.setPreferredSize(new java.awt.Dimension(213, 56));
            ULXLabel.setText(Translator.getText(translator,"ULX"));
            ULYLabel.setText(Translator.getText(translator,"ULY"));
            panelSuperiores.add(ULXLabel, null);
            panelSuperiores.add(getULXText(), null);
            panelSuperiores.add(ULYLabel, null);
            panelSuperiores.add(getULYText(), null);
        }
        return panelSuperiores;
    } 

/**
 * This method initializes jPanel4
 * 
 * 
 * @return javax.swing.JPanel
 */
    private JPanel getPanelInferiores() {        
        if (panelInferiores == null) {
            BRXLabel = new JLabel();
            BRYLabel = new JLabel();
            panelInferiores = new JPanel();
            panelInferiores.setBorder(javax.swing.BorderFactory.createTitledBorder(
                    null, Translator.getText(translator,"lowerCoordinates"),
                    javax.swing.border.TitledBorder.DEFAULT_JUSTIFICATION,
                    javax.swing.border.TitledBorder.DEFAULT_POSITION, null, null));
            BRXLabel.setText(Translator.getText(translator,"BRX"));
            BRYLabel.setText(Translator.getText(translator,"BRY"));
            panelInferiores.add(BRXLabel, null);
            panelInferiores.add(getBRXText(), null);
            panelInferiores.add(BRYLabel, null);
            panelInferiores.add(getBRYText(), null);
        }
        return panelInferiores;
    } 

/**
 * This method initializes jTextField
 * 
 * 
 * @return javax.swing.JTextField
 */
    private JTextField getULXText() {        
        if (ULXText == null) {
            ULXText = new JTextField();
            ULXText.setPreferredSize(new java.awt.Dimension(65,20));
        }
        return ULXText;
    } 

/**
 * This method initializes jTextField
 * 
 * 
 * @return javax.swing.JTextField
 */
    private JTextField getULYText() {        
        if (ULYText == null) {
            ULYText = new JTextField();
            ULYText.setPreferredSize(new java.awt.Dimension(65,20));
        }
        return ULYText;
    } 

/**
 * This method initializes jTextField
 * 
 * 
 * @return javax.swing.JTextField
 */
    private JTextField getBRXText() {        
        if (BRXText == null) {
            BRXText = new JTextField();
            BRXText.setPreferredSize(new java.awt.Dimension(65,20));
        }
        return BRXText;
    } 

/**
 * This method initializes jTextField
 * 
 * 
 * @return javax.swing.JTextField
 */
    private JTextField getBRYText() {        
        if (BRYText == null) {
            BRYText = new JTextField();
            BRYText.setPreferredSize(new java.awt.Dimension(60,20));
        }
        return BRYText;
    } 

/**
 * This method initializes jPanel
 * 
 * 
 * @return javax.swing.JPanel
 */
    private JPanel getJPanel() {        
        if (jPanel == null) {
            jPanel = new JPanel();
            jPanel.add(getCoordenadasCombo(), null);
        }
        return jPanel;
    } 

/**
 * This method initializes jPanel8
 * 
 * 
 * @return javax.swing.JPanel
 */
    private JPanel getJPanel8() {        
        if (jPanel8 == null) {
            jPanel8 = new JPanel();
            jPanel8.setPreferredSize(new java.awt.Dimension(10, 100));
        }
        return jPanel8;
    } 

/**
 * This method initializes jPanel9
 * 
 * 
 * @return javax.swing.JPanel
 */
    private JPanel getPanelCategoriaCombo() {        
        if (panelCategoriaCombo == null) {
            panelCategoriaCombo = new JPanel();
            panelCategoriaCombo.setPreferredSize(new java.awt.Dimension(260,25));
            panelCategoriaCombo.add(getCategoriaCombo(), null);
        }
        return panelCategoriaCombo;
    } 

/**
 * This method initializes jPanel9
 * 
 * 
 * @return javax.swing.JPanel
 */
    private JPanel getPanelEscalaCombo() {        
        if (panelEscalaCombo == null) {
            panelEscalaCombo = new JPanel();
            panelEscalaCombo.setPreferredSize(new java.awt.Dimension(260,25));
            panelEscalaCombo.add(getEscalaCombo(), null);
        }
        return panelEscalaCombo;
    } 

/**
 * This method initializes jPanel9
 * 
 * 
 * @return javax.swing.JPanel
 */
    private JPanel getPanelProveedorText() {        
        if (panelProveedorText == null) {
            panelProveedorText = new JPanel();
            panelProveedorText.setPreferredSize(new java.awt.Dimension(260,25));
            panelProveedorText.add(getProviderText(), null);
        }
        return panelProveedorText;
    } 

/**
 * This method initializes jPanel7
 * 
 * 
 * @return javax.swing.JPanel
 */
    private JPanel getPanelLabResumen() {        
        if (panelLabResumen == null) {
            resumenLabel = new JLabel();
            GridLayout gridLayout1 = new GridLayout();
            panelLabResumen = new JPanel();
            panelLabResumen.setLayout(gridLayout1);
            gridLayout1.setRows(1);
            resumenLabel.setText(Translator.getText(translator,"abstract"));
            panelLabResumen.add(resumenLabel, null);
        }
        return panelLabResumen;
    } 

/**
 * This method initializes jPanel7
 * 
 * 
 * @return javax.swing.JPanel
 */
    private JPanel getPanelTextResumen() {        
        if (panelTextResumen == null) {
            panelTextResumen = new JPanel();
            panelTextResumen.setPreferredSize(new java.awt.Dimension(260,25));
            panelTextResumen.add(getResumenText(), null);
        }
        return panelTextResumen;
    } 

/**
 * This method initializes jPanel9
 * 
 * 
 * @return javax.swing.JPanel
 */
    private JPanel getPanelLabClave() {        
        if (panelLabClave == null) {
            claveLabel = new JLabel();
            GridLayout gridLayout21 = new GridLayout();
            panelLabClave = new JPanel();
            panelLabClave.setLayout(gridLayout21);
            gridLayout21.setRows(1);
            claveLabel.setText(Translator.getText(translator,"keyWords"));
            panelLabClave.add(claveLabel, null);
        }
        return panelLabClave;
    } 

/**
 * This method initializes jPanel9
 * 
 * 
 * @return javax.swing.JPanel
 */
    private JPanel getPanelTextClave() {        
        if (panelTextClave == null) {
            panelTextClave = new JPanel();
            panelTextClave.setPreferredSize(new java.awt.Dimension(260,25));
            panelTextClave.add(getKeyWordText(), null);
        }
        return panelTextClave;
    } 

/**
 * This method initializes jTextField
 * 
 * 
 * @return javax.swing.JTextField
 */
    private JTextField getResumenText() {        
        if (resumenText == null) {
            resumenText = new JTextField();
            resumenText.setPreferredSize(new java.awt.Dimension(250,20));
        }
        return resumenText;
    } 

/**
 * This method initializes jTextField
 * 
 * 
 * @return javax.swing.JTextField
 */
    private JTextField getKeyWordText() {        
        if (keyWordText == null) {
            keyWordText = new JTextField();
            keyWordText.setPreferredSize(new java.awt.Dimension(250,20));
        }
        return keyWordText;
    } 

/**
 * This method initializes jComboBox
 * 
 * 
 * @return javax.swing.JComboBox
 */
    private JComboBox getCoordenadasCombo() {        
        if (coordenadasCombo == null) {
            String[] coordenadas;
            if (serverType.equals(ServerData.SERVER_SUBTYPE_CATALOG_Z3950)){
                coordenadas = new String[4];
                coordenadas[0] = Translator.getText(translator,"coordinatesContains");
                coordenadas[1] = Translator.getText(translator,"coordinatesEqual");
                coordenadas[2] = Translator.getText(translator,"coordinatesEnclose");
                coordenadas[3] = Translator.getText(translator,"coordinatesFullyOutsideOf");
                
            }else{
                coordenadas = new String[2];
                coordenadas[0] = Translator.getText(translator,"coordinatesContains");
                coordenadas[1] = Translator.getText(translator,"coordinatesFullyOutsideOf");
            }
            coordenadasCombo = new JComboBox(coordenadas);
            coordenadasCombo.setPreferredSize(new java.awt.Dimension(240,20));
            coordenadasCombo.setBackground(Color.white);
        }
        return coordenadasCombo;
    } 

/**
 * This method initializes jPanel4
 * 
 * 
 * @return javax.swing.JPanel
 */
    private JPanel getPanelCoordenadas() {        
        if (panelCoordenadas == null) {
            panelCoordenadas = new JPanel();
            panelCoordenadas.setLayout(new BoxLayout(panelCoordenadas, BoxLayout.Y_AXIS));
            panelCoordenadas.setBorder(javax.swing.BorderFactory.createTitledBorder(
                    null, Translator.getText(translator,"coordinates"),
                    javax.swing.border.TitledBorder.DEFAULT_JUSTIFICATION,
                    javax.swing.border.TitledBorder.DEFAULT_POSITION, null, null));
            panelCoordenadas.setPreferredSize(new java.awt.Dimension(315,180));
            panelCoordenadas.add(getPanelSuperiores(), null);
            panelCoordenadas.add(getPanelInferiores(), null);
            panelCoordenadas.add(getJPanel(), null);
        }
        return panelCoordenadas;
    } 

/**
 * This method initializes jPanel5
 * 
 * 
 * @return javax.swing.JPanel
 */
    private JPanel getLowerPanel() {        
        if (lowerPanel == null) {
            lowerPanel = new JPanel();
            lowerPanel.setPreferredSize(new java.awt.Dimension(565,330));
            lowerPanel.add(getJPanel33(), null);
            lowerPanel.add(getJPanel3(), null);
        }
        return lowerPanel;
    } 
/* (non-Javadoc)
     * @see es.gva.cit.catalogClient.ui.ISearchPanel#getTitleOption()
     */

/**
 * 
 * 
 * 
 * @return 
 */
    public String getTitleOption() {        
        if (getExactaButton().isSelected()) {
            return "E";
        }
        if (getCualquieraButton().isSelected()) {
            return "Y";
        }
        if (getTodasButton().isSelected()) {
            return "A";
        }
        return null;
    } 
/* (non-Javadoc)
     * @see es.gva.cit.catalogClient.ui.ISearchPanel#getAbstract()
     */

/**
 * 
 * 
 * 
 * @return 
 */
    public String getAbstract() {        
        if (getResumenText().getText().equals("")) {
            return null;
        }
        return getResumenText().getText();
    } 
/* (non-Javadoc)
     * @see es.gva.cit.catalogClient.ui.ISearchPanel#getKeys()
     */

/**
 * 
 * 
 * 
 * @return 
 */
    public String getKeys() {        
        if (getKeyWordText().getText().equals("")) {
            return null;
        }
        return getKeyWordText().getText();
    } 
/* (non-Javadoc)
     * @see es.gva.cit.catalogClient.ui.ISearchPanel#getCathegory()
     */

/**
 * 
 * 
 * 
 * @return 
 */
    public String getCathegory() {        
        return (String) getCategoriaCombo().getSelectedItem();
    } 
/* (non-Javadoc)
     * @see es.gva.cit.catalogClient.ui.ISearchPanel#getScale()
     */

/**
 * 
 * 
 * 
 * @return 
 */
    public String getScale() {        
        return (String) getEscalaCombo().getSelectedItem();
    } 
/* (non-Javadoc)
     * @see es.gva.cit.catalogClient.ui.ISearchPanel#getDateTo()
     */

/**
 * 
 * 
 * 
 * @return 
 */
    public String getDateTo() {        
        if (getToText().getText().equals("")) {
            return null;
        }
        return getToText().getText();
    } 
/* (non-Javadoc)
     * @see es.gva.cit.catalogClient.ui.ISearchPanel#getDateFrom()
     */

/**
 * 
 * 
 * 
 * @return 
 */
    public String getDateFrom() {        
        if (getFromText().getText().equals("")) {
            return null;
        }
        return getFromText().getText();
    } 
/* (non-Javadoc)
     * @see es.gva.cit.catalogClient.ui.ISearchPanel#getCoordinates()
     */

/**
 * 
 * 
 * 
 * @return 
 */
    public Coordinates getCoordinates() {        
        return new Coordinates(getULXText().getText(), getULYText().getText(),
                getBRXText().getText(), getBRYText().getText());
    } 

/**
 * It sets the coordinates fields
 * 
 * 
 * @param coordinates 
 */
    public void setCoordinates(Coordinates coordinates) {        
        setULXText(Doubles.get5Decimals(coordinates.ulx));
        setULYText(Doubles.get5Decimals(coordinates.uly));
        setBRXText(Doubles.get5Decimals(coordinates.brx));
        setBRYText(Doubles.get5Decimals(coordinates.bry));
    } 
/* (non-Javadoc)
     * @see es.gva.cit.catalogClient.ui.ISearchPanel#getCoordinatesOption()
     */

/**
 * 
 * 
 * 
 * @return 
 */
    public String getCoordinatesOption() {        
        return (String) getCoordenadasCombo().getSelectedItem();
    } 
/* (non-Javadoc)
     * @see es.gva.cit.catalogClient.ui.ISearchPanel#getProvider()
     */

/**
 * 
 * 
 * 
 * @return 
 */
    public String getProvider() {        
        if (getProviderText().getText().equals("")) {
            return null;
        }
        return getProviderText().getText();
    } 
/* (non-Javadoc)
     * @see es.gva.cit.catalogClient.ui.ISearchPanel#getRestrictAreaClicked()
     */

/**
 * 
 * 
 * 
 * @return 
 */
    public boolean getRestrictAreaClicked() {        
        // TODO Auto-generated method stub
        return false;
    } 

/**
 * It sets a lower panel visible or not visible
 * 
 * 
 * @param isMinimized 
 */
    public void setMinimized(boolean isMinimized) {        
	    if (isMinimized){
	        lowerPanel.setVisible(false);
	        setSize(700,100);
	    }else{
	        lowerPanel.setVisible(true);
	        setSize(700,900);
	    }
	    this.repaint();
    } 

/**
 * 
 * 
 * 
 * @param text The bRXText to set.
 */
    public void setBRXText(String text) {        
        BRXText.setText(text);
    } 

/**
 * 
 * 
 * 
 * @param text The bRYText to set.
 */
    public void setBRYText(String text) {        
        BRYText.setText(text);
    } 

/**
 * 
 * 
 * 
 * @param text The uLXText to set.
 */
    public void setULXText(String text) {        
        ULXText.setText(text);
    } 

/**
 * 
 * 
 * 
 * @param text The uLYText to set.
 */
    public void setULYText(String text) {        
        ULYText.setText(text);
    } 

/**
 * This methos disables the components that are representing
 * fileds that the protocol used to do the search doesn't
 * support
 * 
 * 
 * @param type Server type: Z3950, SRW or CSW
 * @param profile Server Profile: DUBLINCORE, ISO19115, ebRIM
 */
    private void disableComponents(String type, String profile) {        
        if (type.equals(ServerData.SERVER_SUBTYPE_CATALOG_Z3950)){
            getCategoriaCombo().setEnabled(false);
        }
        
        if (type.equals(ServerData.SERVER_SUBTYPE_CATALOG_SRW) || profile.equals(Schemas.DUBLINCORE)){
            getKeyWordText().setEnabled(false);
            getCategoriaCombo().setEnabled(false);
            getEscalaCombo().setEnabled(false);
            getULXText().setEnabled(false);
            getULYText().setEnabled(false);
            getBRXText().setEnabled(false);
            getBRYText().setEnabled(false);
            getCoordenadasCombo().setEnabled(false);
            getFromText().setEnabled(false);
            getToText().setEnabled(false);
        }        
        
        if (profile.equals(Schemas.EBRIM)){
            getEscalaCombo().setEnabled(false);
            getProviderText().setEnabled(false);
            getFromText().setEnabled(false);
            getToText().setEnabled(false);
        }
        
        if (profile.equals(Schemas.ISO19115)){
            getKeyWordText().setEnabled(false);
            getCategoriaCombo().setEnabled(false);
            getEscalaCombo().setEnabled(false);
            getProviderText().setEnabled(false);
            getULXText().setEnabled(false);
            getULYText().setEnabled(false);
            getBRXText().setEnabled(false);
            getBRYText().setEnabled(false);
            getCoordenadasCombo().setEnabled(false);
            getFromText().setEnabled(false);
            getToText().setEnabled(false);
        }
        
    } 
 }
//  @jve:decl-index=0:visual-constraint="10,10"
