package es.uji.lsi.wcs.XmlWcsParsing;
/*
 * Capability.java
 *
 * Created on 26 de diciembre de 2004, 16:13
 */

/**
 *
 * @author  jaume
 */
public class Capability {
    private Request request;
    
    /** Creates a new instance of Capability */
    public Capability(XMLNode node) {
        for (int i=0; i<node.getNumSubNodes(); i++){
            if (WCSToolkit.isWCSTab(node.getSubNode(i), "Request")) request = new Request(node.getSubNode(i));
//            if (node.getSubNode(i).getName().equals("Exception")) System.out.println("s'haur de fer alguna cosa amb l'Exception de Capability, no?");
//            if (node.getSubNode(i).getName().equals("VendorSpecificCapabilities")) System.out.println("s'haur de fer alguna cosa amb el VendorSpecificCapabilities de Capability, no?");
        }
    }
    
    public String toString(){
        return request.toString();
    }
}

class Request{
    private DCPType getCapabilities;
    private DCPType describeCoverage;
    private DCPType getCoverage;
    
    public Request(XMLNode node){
        for (int i=0; i<node.getNumSubNodes(); i++){
            if (WCSToolkit.isWCSTab(node.getSubNode(i), "GetCapabilities")) setGetCapabilities(node.getSubNode(i));
            if (WCSToolkit.isWCSTab(node.getSubNode(i), "DescribeCoverage")) setDescribeCoverage(node.getSubNode(i));
            if (WCSToolkit.isWCSTab(node.getSubNode(i), "GetCoverage")) setGetCoverage(node.getSubNode(i));
        }
    }
    
    public void setGetCapabilities(XMLNode node){
        if (!WCSToolkit.isWCSTab(node, "GetCapabilities")) new Error("Not a valid GetCapabilities XML statement");
        getCapabilities = null;
        getCapabilities = new DCPType(node);
    }

    public void setDescribeCoverage(XMLNode node){
        if (!WCSToolkit.isWCSTab(node, "DescribeCoverage")) new Error("Not a valid DescribeCoverage XML statement");
        describeCoverage = null;
        describeCoverage = new DCPType(node);
    }
    
    public void setGetCoverage(XMLNode node){
        if (!WCSToolkit.isWCSTab(node, "GetCoverage")) new Error("Not a valid GetCoverage XML statement");
        getCoverage = null;
        getCoverage = new DCPType(node);
    }
    
    public String toString(){
        return "\nGetCapabilities.\n"+getCapabilities+
               "\nDescribeCoverage.\n"+describeCoverage+
               "\nGetCoverage.\n"+getCoverage;
    }
}
