package es.uji.lsi.wcs.XmlWcsParsing;
/*
 * GMLGridEnvelope.java
 *
 * Created on 3 de enero de 2005, 15:26
 */

/**
 *
 * @author  jaume
 */
class GMLGridEnvelope{
    private int [][] limits;
    private int dimension;
    
    public GMLGridEnvelope(XMLNode node, int dim){
        limits = new int [2][dim];
        dimension = dim;
       
        for (int i=0; i<node.getNumSubNodes(); i++){
            XMLNode subnode = node.getSubNode(i);
            if (WCSToolkit.isWCSTab(subnode, "gml:low")){
                String s = subnode.getText();
                
                String[] s2 = s.split(" ");
                for (int j=0; j<s2.length; j++){
                    limits[0][j] = Integer.parseInt(s2[j]);
                }
            }
            if (WCSToolkit.isWCSTab(subnode, "gml:high")){
                String s = subnode.getText();
                String[] s2 = s.split(" ");
                for (int j=0; j<s2.length; j++){
                    limits[1][j] = Integer.parseInt(s2[j]);
                }
            }
        }
    }
    
    public String toString(){
        String s ="";
        for (int i=0; i<dimension; i++){
            System.out.println(i);
            s += "["+limits[0][i]+", "+limits[1][i]+"]";
        }
        return "{"+s+"}";
    }
}