package es.uji.lsi.wcs.XmlWcsParsing;
/*
 * GMLLimits.java
 *
 * Created on 3 de enero de 2005, 15:24
 */

/**
 *
 * @author  jaume
 */
public class GMLLimits {
    private GMLGridEnvelope gmlGridEnvelope;
    /** Creates a new instance of GMLLimits */
    public GMLLimits(XMLNode node, int dimension) {
        for (int i=0; i<node.getNumSubNodes(); i++){
            XMLNode subnode = node.getSubNode(i);
            if (WCSToolkit.isWCSTab(subnode, "gml:GridEnvelope")) gmlGridEnvelope = new GMLGridEnvelope(subnode, dimension);
        }
    }

    public GMLGridEnvelope getGMLGridEnvelope(){
        return gmlGridEnvelope;
    }
    
    public String toString(){
        return gmlGridEnvelope.toString();
    }
}
