package es.uji.lsi.wcs.XmlWcsParsing;
/*
 * Interval.java
 *
 * Created on 8 de enero de 2005, 14:43
 */

/**
 *
 * @author  jaume
 */
public class Interval {
    private double min;
    private double max;
    private double res;
    private String type;
    private String semantic;
    private String atomic;
    
    public Interval(XMLNode node){
        type = node.getAttribute("type");
        semantic = node.getAttribute("semantic");
        atomic = node.getAttribute("atomic");
        for (int i=0; i<node.getNumSubNodes(); i++){
            XMLNode subnode = node.getSubNode(i);
            if (WCSToolkit.isWCSTab(subnode, "min")) min = new Double(subnode.getText()).doubleValue();
            if (WCSToolkit.isWCSTab(subnode, "max")) max = new Double(subnode.getText()).doubleValue();
            if (WCSToolkit.isWCSTab(subnode, "res")) res = new Double(subnode.getText()).doubleValue();
        }
    }
    public double getMin(){
        return min;
    }
    
    public double getMax(){
        return max;
    }
    
    public double getRes(){
        return res;
    }
    
    public String getType(){
        return type;
    }

    public String getSemantic(){
        return semantic;
    }

    public String getAtomic(){
        return atomic;
    }

    public String toString(){
        return "\nInterval (min/max/res): ("+min+", "+max+", "+res+")";
    }
}
