package es.uji.lsi.wcs.XmlWcsParsing;
/*
 * NullValues.java
 *
 * Created on 8 de enero de 2005, 14:51
 */

/**
 *
 * @author  jaume
 */
public class NullValues {
    private Interval interval;
    private String singleValue;
    /** Creates a new instance of NullValues */
    public NullValues(XMLNode node) {
        for (int i=0; i<node.getNumSubNodes(); i++){
            XMLNode subnode = node.getSubNode(i);
            if (WCSToolkit.isWCSTab(subnode, "interval")) interval = new Interval(subnode);
            if (WCSToolkit.isWCSTab(subnode, "singleValue")) singleValue = subnode.getText();
        }
    }    
    
    public Interval getInterval(){
        return interval;
    }
    
    public String getSingleValue(){
        return singleValue;
    }
    
    public String toString(){
        return "\nInterval: "+
               interval+
               "\n Single Value: "+singleValue;
    }
}
