package es.uji.lsi.wcs.XmlWcsParsing;
/*
 * SupportedFormats.java
 *
 * Created on 13 de enero de 2005, 15:18
 */
import java.util.*;
/**
 *
 * @author  jaume
 */
public class SupportedFormats {
    ArrayList formats = new ArrayList();
    /** Creates a new instance of SupportedFormats */
    public SupportedFormats(XMLNode node) {
        for (int i=0; i<node.getNumSubNodes(); i++){
            XMLNode subnode = node.getSubNode(i);
            if (WCSToolkit.isWCSTab(subnode, "formats")){
                if (formats == null) formats = new ArrayList();
                String[] s = subnode.getText().split(" +");
                for (int j=0; j<s.length; j++) formats.add(s[j]);
            } 
        }
    }
    
    public ArrayList getFormats(){
        return formats;
    }

    public String toString(){
        Iterator it = formats.iterator();
        String s = "\nSupported format(s): ";
        while (it.hasNext()){
            s += (String) it.next();
            if (it.hasNext()) s += ", ";
        }
        
        return s;
    }
}
