package es.uji.lsi.wcs.XmlWcsParsing;
/*
 * ValueEnum.java
 *
 * Created on 8 de enero de 2005, 14:44
 */

/**
 *
 * @author  jaume
 */
public class ValueEnum {

    private Interval interval;
    private String singleValue;
    
    public ValueEnum(XMLNode node){
        for (int i=0; i<node.getNumSubNodes(); i++){
            XMLNode subnode = node.getSubNode(i);
            if (WCSToolkit.isWCSTab(subnode, "interval")) interval = new Interval(subnode);
            if (WCSToolkit.isWCSTab(subnode, "singleValue")) singleValue = subnode.getText();
        }
    }
    
    public Interval getInterval(){
        return interval;
    }
    
    public String getSingleValue(){
        return singleValue;
    }
    
    public String toString(){
        return "\nValue Enum: "+
               getInterval()+
               "\nSingle Value: "+getSingleValue();
    }
}
