/*
 * WCSExceptionResponse.java
 *
 * Created on 23 de febrero de 2005, 18:17
 */

package es.uji.lsi.wcs.XmlWcsParsing;
import java.io.File;
/**
 *
 * @author  jaume
 */
public class WCSExceptionResponse {
    private String text;
    /** Creates a new instance of WCSExceptionResponse */
    public WCSExceptionResponse(File file) {
        XMLNode node = null;
        try{
            node = new XMLNode(file);
            
            if (WCSToolkit.isWCSTab(node, "ServiceExceptionReport")){
                for (int i=0; i<node.getNumSubNodes(); i++){
                    XMLNode subnode = node.getSubNode(i);
                    if (WCSToolkit.isWCSTab(subnode, "ServiceException")){
                        text = subnode.getText();
                        break;
                    }
                }
            } else{
            	text = "Respuesta del servidor inesperada";
            }
        } catch (Exception e){
            new Error("WCSExceptionResponse. error al abrir el fichero");
        }
       
    }
    
    public String getText(){
        return text;
    }
}
