/* gvSIG. Sistema de Informacin Geogrfica de la Generalitat Valenciana
 *
 * Copyright (C) 2004 IVER T.I. and Generalitat Valenciana.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,USA.
 *
 * For more information, contact:
 *
 *  Generalitat Valenciana
 *   Conselleria d'Infraestructures i Transport
 *   Av. Blasco Ibez, 50
 *   46010 VALENCIA
 *   SPAIN
 *
 *      +34 963862235
 *   gvsig@gva.es
 *      www.gvsig.gva.es
 *
 *    or
 *
 *   IVER T.I. S.A
 *   Salamanca 50
 *   46005 Valencia
 *   Spain
 *
 *   +34 963163400
 *   dac@iver.es
 */
package com.iver.cit.gvsig.fmap.layers;

import com.iver.cit.gvsig.fmap.DriverException;
import com.iver.cit.gvsig.fmap.ViewPort;
import com.iver.cit.gvsig.fmap.core.FShape;
import com.iver.cit.gvsig.fmap.layers.layerOperations.AlphanumericData;
import com.iver.cit.gvsig.fmap.layers.layerOperations.ClassifiableRaster;
import com.iver.cit.gvsig.fmap.layers.layerOperations.Selectable;
import com.iver.cit.gvsig.fmap.operations.Cancellable;
import com.iver.cit.gvsig.fmap.rendering.Legend;
import com.iver.cit.gvsig.fmap.rendering.RasterLegend;

import com.iver.utiles.XMLEntity;

import org.apache.log4j.Logger;

import org.cresques.cts.ICoordTrans;
import org.cresques.io.raster.RasterFilterStack;

import java.awt.Graphics2D;
import java.awt.Point;
import java.awt.geom.Rectangle2D;
import java.awt.image.BufferedImage;
import java.util.ArrayList;


/**
 * FJP: NO SE USA PARA NADA. SE PUEDE BORRAR.
 *
 * @author Fernando Gonzlez Corts
 */
public class FLyrComplexRaster extends FLyrDefault implements ClassifiableRaster,
	Selectable, AlphanumericData, LowLevelRasterOperations, RasterOperations {


	private static Logger logger = Logger.getLogger(FLyrComplexRaster.class.getName());
	private ComplexRasterAdapter complexRasterAdapter;
	private LegendListener[] listeners;

	/**
	 * @see com.iver.cit.gvsig.fmap.layers.CommonOperations#setSelection(java.util.BitSet)
	 */
	public void setSelection(FBitSet selection) {
	}

	/**
	 * @see com.iver.cit.gvsig.fmap.layers.CommonOperations#isSelected(int)
	 */
	public boolean isSelected(int index) {
		return false;
	}

	/**
	 * @see com.iver.cit.gvsig.fmap.layers.CommonOperations#clearSelection()
	 */
	public void clearSelection() {
	}

	/**
	 * @see com.iver.cit.gvsig.fmap.layers.CommonOperations#getRecordset()
	 */
	public SelectableDataSource getRecordset() {
		return null;
	}

	/**
	 * @see com.iver.cit.gvsig.fmap.layers.LowLevelRasterOperations#applyFilter(com.iver.cit.gvsig.fmap.layers.Filter)
	 */
	public void applyFilter(Filter f) {
	}

	/**
	 * @see com.iver.cit.gvsig.fmap.layers.LowLevelRasterOperations#setBands(int[])
	 */
	public void setBands(int[] bandsIndexes) {
	}

	/**
	 * @see com.iver.cit.gvsig.fmap.layers.LayerOperations#draw(java.awt.image.BufferedImage,
	 * 		java.awt.Graphics2D, com.iver.cit.gvsig.fmap.ViewPort,
	 * 		com.iver.cit.gvsig.fmap.operations.Cancellable)
	 */
	public void draw(BufferedImage image, Graphics2D g, ViewPort viewPort,
		Cancellable cancel,double scale) throws DriverException {
	}

	/**
	 * @see com.iver.cit.gvsig.fmap.layers.FLayer#print(java.awt.Graphics2D,
	 * 		com.iver.cit.gvsig.fmap.ViewPort,
	 * 		com.iver.cit.gvsig.fmap.operations.Cancellable)
	 */
	public void print(Graphics2D g, ViewPort viewPort, Cancellable cancel,double scale)
		throws DriverException {
	}

	/**
	 * @see com.iver.cit.gvsig.fmap.layers.RasterOperations#queryByPoint(com.iver.cit.gvsig.fmap.operations.QueriedPoint)
	 */
	public String queryByPoint(Point point) {
		return null;
	}

	/**
	 * @see com.iver.cit.gvsig.fmap.layers.CommonOperations#fireSelectionEvents()
	 */
	public void fireSelectionEvents() {
	}

	/**
	 * @see com.iver.cit.gvsig.fmap.layers.CommonOperations#removeLegendListener(com.iver.cit.gvsig.fmap.layers.VectorialListener)
	 */
	public void removeLegendListener(LegendListener listener) {
	}

	/**
	 * @see com.iver.cit.gvsig.fmap.layers.LayerOperations#getFullExtent()
	 */
	public Rectangle2D getFullExtent() throws DriverException {
		Rectangle2D rAux = null;

		/* complexRasterAdapter.start();
		   rAux = source.getFullExtent();
		   source.stop(); */
		return rAux;
	}

	/**
	 * @see com.iver.cit.gvsig.fmap.layers.LowLevelRasterOperations#getRasterLegend()
	 */
	public RasterLegend getRasterLegend() {
		return null;
	}

	/**
	 * @see com.iver.cit.gvsig.fmap.layers.LowLevelRasterOperations#setRasterLegend(com.iver.cit.gvsig.fmap.rendering.RasterLegend)
	 */
	public void setRasterLegend(RasterLegend legend) {
	}

	/**
	 * @see org.cresques.geo.Projected#reProject(org.cresques.cts.ICoordTrans)
	 */
	public void reProject(ICoordTrans arg0) {
	}

	/**
	 * @see com.iver.cit.gvsig.fmap.layers.CommonOperations#getShapeType()
	 */
	public int getShapeType() {
		return FShape.POLYGON;
	}

	/**
	 * @throws XMLException
	 * @see com.iver.cit.gvsig.fmap.layers.FLayer#getProperties()
	 */
	public XMLEntity getProperties() throws XMLException {
		XMLEntity xml = super.getXMLEntity();

		//TODO falta el complexRaster
		return xml;
	}

	/**
	 * @see com.iver.cit.gvsig.fmap.layers.FLyrDefault#setXMLEntity(com.iver.utiles.XMLEntity)
	 */
	public void setXMLEntity(XMLEntity xml) {
	}

	/**
	 * @see com.iver.cit.gvsig.fmap.layers.CommonOperations#getSelection()
	 */
	public FBitSet getSelection() {
		return null;
	}

	/**
	 * @see com.iver.cit.gvsig.fmap.layers.CommonOperations#changeRecordsetName()
	 */
	public void changeRecordsetName(String newName) throws DriverException {
	}

	/**
	 * @see com.iver.cit.gvsig.fmap.layers.layerOperations.ClassifiableRaster#setLegend(com.iver.cit.gvsig.fmap.rendering.RasterLegend)
	 */
	public void setLegend(RasterLegend r) {
	}

	/**
	 * @see com.iver.cit.gvsig.fmap.layers.layerOperations.ClassifiableRaster#getLegend()
	 */
	public Legend getLegend() {
		return null;
	}

	/**
	 * @see com.iver.cit.gvsig.fmap.layers.layerOperations.Selectable#addSelectionListener(com.iver.cit.gvsig.fmap.layers.SelectionListener)
	 */
	public void addSelectionListener(SelectionListener listener) {
	}

	/**
	 * @see com.iver.cit.gvsig.fmap.layers.layerOperations.Selectable#removeSelectionListener(com.iver.cit.gvsig.fmap.layers.SelectionListener)
	 */
	public void removeSelectionListener(SelectionListener listener) {
	}

	/**
	 * @see com.iver.cit.gvsig.fmap.layers.layerOperations.Classifiable#addLegendListener(com.iver.cit.gvsig.fmap.layers.LegendListener)
	 */
	public void addLegendListener(LegendListener listener) {
	}

    /**
     * @see com.iver.cit.gvsig.fmap.layers.FLayer#setXMLEntity03(com.iver.utiles.XMLEntity)
     */
    public void setXMLEntity03(XMLEntity xml) throws XMLException {
        // TODO Auto-generated method stub
        
    }
    
	/* (non-Javadoc)
	 * @see com.iver.cit.gvsig.fmap.layers.RasterOperations#getFilterStack()
	 */
	public RasterFilterStack getFilterStack() {
		// TODO Auto-generated method stub
		return null;
	}
	

	/* (non-Javadoc)
	 * @see com.iver.cit.gvsig.fmap.layers.RasterOperations#setFilterStack(org.cresques.io.raster.RasterFilterStack)
	 */
	public void setFilterStack(RasterFilterStack stack) {
		// TODO Auto-generated method stub

	}
	
	/* (non-Javadoc)
	 * @see com.iver.cit.gvsig.fmap.layers.RasterOperations#setRGB(int, int, int)
	 */
	public void setRGB(int r, int g, int b){}
	

	/* (non-Javadoc)
	 * @see com.iver.cit.gvsig.fmap.layers.RasterOperations#getSource()
	 */
	public RasterAdapter getSource(){return null;}
		

	/* (non-Javadoc)
	 * @see com.iver.cit.gvsig.fmap.layers.RasterOperations#setSource(com.iver.cit.gvsig.fmap.layers.RasterAdapter)
	 */
	public void setSource(RasterAdapter ra){}
	

	/* (non-Javadoc)
	 * @see com.iver.cit.gvsig.fmap.layers.RasterOperations#setPos(int, int)
	 */
	/* (non-Javadoc)
	 * @see com.iver.cit.gvsig.fmap.layers.RasterOperations#setPos(int, int)
	 */
	public void setPos(int x, int y){}
	

	/* (non-Javadoc)
	 * @see com.iver.cit.gvsig.fmap.layers.RasterOperations#setPosWC(double, double)
	 */
	public void setPosWC(double x, double y){}
	

	/* (non-Javadoc)
	 * @see com.iver.cit.gvsig.fmap.layers.RasterOperations#getPixel(double, double)
	 */
	public int[] getPixel(double wcx, double wcy){return null;}
	
	/* (non-Javadoc)
	 * @see com.iver.cit.gvsig.fmap.layers.RasterOperations#getAttributes()
	 */
	public ArrayList getAttributes() {return null;}
	
	/* (non-Javadoc)
	 * @see com.iver.cit.gvsig.fmap.layers.RasterOperations#setBand(int, int)
	 */
	public void setBand(int flag, int nBand) {
		// TODO Auto-generated method stub

	}
	
	public void setTempExtent(ViewPort vp){
		
	}
	
	public double getMaxX(){return 0D;};
	public double getMaxY(){return 0D;};
	public double getMinX(){return 0D;};
	public double getMinY(){return 0D;};
	public double getWidth(){return 0D;};
	public double getHeight(){return 0D;};
}
