/* gvSIG. Sistema de Informacin Geogrfica de la Generalitat Valenciana
 *
 * Copyright (C) 2004 IVER T.I. and Generalitat Valenciana.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,USA.
 *
 * For more information, contact:
 *
 *  Generalitat Valenciana
 *   Conselleria d'Infraestructures i Transport
 *   Av. Blasco Ibez, 50
 *   46010 VALENCIA
 *   SPAIN
 *
 *      +34 963862235
 *   gvsig@gva.es
 *      www.gvsig.gva.es
 *
 *    or
 *
 *   IVER T.I. S.A
 *   Salamanca 50
 *   46005 Valencia
 *   Spain
 *
 *   +34 963163400
 *   dac@iver.es
 */
package com.iver.cit.gvsig.fmap.rendering.indexes;

import com.iver.cit.gvsig.fmap.drivers.DriverIOException;
import com.iver.cit.gvsig.fmap.layers.VectorialAdapter;

import java.io.File;
import java.io.IOException;


/**
 * Clase para gestionar los ndices.
 *
 * @author Vicente Caballero Navarro
 */
public class IndexFactory {
	/**
	 * Crea un fichero ndice en el disco con el path que se le pasa como
	 * parmetro sobre la fuente de datos vectorial que se pasa como parmetro
	 * y devuelve un objeto con el ndice en su memoria o un objeto que accede
	 * al fichero de disco sin usar la memoria.
	 *
	 * @param adapter
	 * @param file
	 *
	 * @return Fichero de ndices.
	 *
	 * @throws DriverIOException
	 * @throws IOException
	 */
	public FDiskIndex createIndex(VectorialAdapter adapter, File file)
		throws DriverIOException, IOException {
		//TODO implementar bien
		return null;
	}

	/**
	 * Carga el fichero de ndices que se le pasa como parmetro en memoria o
	 * en disco
	 *
	 * @param file Fichero.
	 *
	 * @return ndice.
	 *
	 * @throws IOException
	 */
	public Index loadIndex(File file) throws IOException {
		//TODO implementar bien
		return null;
	}
}
