package es.uji.lsi.wcs.XmlWcsParsing;
/*
 * SupportedInterpolations.java
 *
 * Created on 13 de enero de 2005, 17:45
 */
import java.util.*;
/**
 *
 * @author  jaume
 */
public class SupportedInterpolations {
    private Hashtable supportedInterpolations = new Hashtable();
    /** Creates a new instance of SupportedInterpolations */
    public SupportedInterpolations(XMLNode node) {
        for (int i=0; i<node.getNumSubNodes(); i++){
            XMLNode subnode = node.getSubNode(i);
            if (WCSToolkit.isWCSTab(subnode, "interpolationMethod")) {
                if (supportedInterpolations.containsKey(subnode.getText().toLowerCase()))
                    supportedInterpolations.remove(subnode.getText().toLowerCase());
                supportedInterpolations.put(subnode.getText().toLowerCase(), new Boolean(true));
            }
        }
    }
    
    public boolean supportsInterpolationMethod(String s){
        return supportedInterpolations.containsKey(s.toLowerCase());
    }
    
    public String toString(){
        String s = "\nSupported Interpolations: ";
        
        return s;
    }
}
