package es.uji.lsi.wcs.XmlWcsParsing;
/*
 * TemporalDomain.java
 *
 * Created on 3 de enero de 2005, 16:09
 */
import java.util.*;
/**
 *
 * @author  jaume
 */
public class TemporalDomain {
    private ArrayList gmlTimePositionList = new ArrayList();
    private ArrayList timePeriodList = new ArrayList();
    /** Creates a new instance of TemporalDomain */
    public TemporalDomain(XMLNode node) {
        for (int i=0; i<node.getNumSubNodes(); i++){
            XMLNode subnode = node.getSubNode(i);
            if (WCSToolkit.isWCSTab(subnode, "gml:timePosition")) gmlTimePositionList.add(subnode.getText());
            if (WCSToolkit.isWCSTab(subnode, "timePeriod")) timePeriodList.add(new TimePeriod(subnode));
        }
    }
    public ArrayList getGMLTimePositionList(){
        return gmlTimePositionList;
    } 
    
    public ArrayList getTimePeriodList(){
        return timePeriodList;
    } 

    public String toString(){
        Iterator it = gmlTimePositionList.iterator();
        String s = "\nTIME PERIOD\ngml:timePosition(s): ";
        while (it.hasNext()){
            s += it.next();
            if (it.hasNext()) s += ", ";
        }
        it = timePeriodList.iterator();
        s += "\ntimePeriod(s): ";
        while (it.hasNext()){
            s += it.next();
            if (it.hasNext()) s += ", ";
        }
        return s;
    }
}
