package es.uji.lsi.wcs.client;
/*
 * Operation.java
 *
 * Created on 18 de enero de 2005, 14:08
 */
import java.util.*;
/**
 *
 * @author  jaume
 */
public class Operation {
    public static final int GET_CAPABILITIES = 0;
    public static final int DESCRIBE_COVERAGE = 1;
    public static final int GET_COVERAGE = 2;
    
    /** Creates a new instance of Operation */
    public Operation() {
    }

    public static void setParam(int op_code, String param_name, String value, Hashtable parameters) throws Exception{
        if (parameters.containsKey(param_name)) parameters.remove(param_name);
        parameters.put(param_name, value);        
    }

    public static String getParamsString(Hashtable parameters) throws Exception{
        String s = "service="+parameters.get("service")+"&version="+parameters.get("version")+"&request="+parameters.get("request");
        Enumeration e = parameters.keys();
        while (e.hasMoreElements()){
            String key = (String) e.nextElement();
            if (!(key.equals("service")||key.equals("version")||key.equals("request"))) {
                s += "&"+key+"="+parameters.get(key);
                
            }
        }
        // System.out.println("FILE Operation.java>> parametros: "+s);
        return s;
    }
    
    public static void cleanParams(int op_code, Hashtable parameters) {
        parameters.clear();        
    }

}
