package es.uji.lsi.wcs.client;
/*
 * OperationDescribeCoverage.java
 *
 * Created on 18 de enero de 2005, 14:23
 */
import java.util.*;
/**
 *
 * @author  jaume
 */
public class OperationDescribeCoverage extends Operation{
    private Hashtable parameters;
    
    /** Creates a new instance of OperationDescribeCoverage */
    public OperationDescribeCoverage() {
        parameters = new Hashtable();
        initParams();
    }
        
    private void initParams(){
        parameters.put("service", "WCS");
        parameters.put("request", "DescribeCoverage");
        parameters.put("version", "1.0.0");
    }

    public void setParam(String param_name, String value) throws Exception{
        super.setParam(super.DESCRIBE_COVERAGE, param_name, value, parameters);
    }
    
    public String getParamsString(){
        try {
            return super.getParamsString(parameters);
        } catch (Exception e){
            new Error("Failed to build DescribeCoverage param string.");
            return null;
        }
    }
    
    private boolean isValidRequest(){
        // checking mandatory parameters
        if (!parameters.containsKey("coverage")) return false;
        return true;
    }
    
    public void cleanParams(){
    	super.cleanParams(super.DESCRIBE_COVERAGE, parameters); 
    }
/*    private void setCoverageParam(ArrayList names, String name){
        // sets and ensures that coverage param obtains a valid coverage name given
        // in the names list. You should use ContentMetadata.getLayerNames() method
        // to pass this method's first argument;
        
        if (names.contains(name)){
            setParam("coverage", name);
        }
    }*/
    
}
