package es.uji.lsi.wcs.client;
/*
 * OperationGetCapabilities.java
 *
 * Created on 18 de enero de 2005, 14:15
 */
import java.util.*;
/**
 *
 * @author  jaume
 */
public class OperationGetCapabilities extends Operation{
    private Hashtable parameters;
    /** Creates a new instance of OperationGetCapabilities */
    public OperationGetCapabilities() {
        parameters = new Hashtable();
        initParams();
    }

    private void initParams(){
        parameters.put("service", "WCS");
        parameters.put("request", "GetCapabilities");
        parameters.put("version", "1.0.0");
    }
    
    public void setParam(String param_name, String value) throws Exception{
        super.setParam(super.GET_CAPABILITIES, param_name, value, parameters);
    }

    public String getParamsString(){
        try {
            return super.getParamsString(parameters);
        } catch (Exception e){
            new Error("Failed to build GetCapabilities param string.");
            return null;
        }
    }
    
    public void cleanParams(){
    	super.cleanParams(super.GET_CAPABILITIES, parameters); 
    }
}
