/*
 * Created on 25-feb-2005
 */
package org.cresques.io.rasterOld;

/**
 * @author Luis W. Sevilla (sevilla_lui@gva.es)
 */
public class RasterStats {
	private int bandNr = -1;
	public int [] minBandValue = null;
	public int [] maxBandValue = null;

	/**
	 * 
	 */
	public RasterStats(int bandNr) {
		super();
		this.bandNr = bandNr;
		minBandValue = new int[bandNr];
		maxBandValue = new int[bandNr];
		for (int i=0; i<bandNr; i++) {
			minBandValue[i] = Integer.MAX_VALUE;
			maxBandValue[i] = Integer.MIN_VALUE;
		}
	}
	
	public void pinta() {
		for (int i=0; i<bandNr; i++)
			System.out.println("  Band ["+i+"]: "+minBandValue[i]+"..."+maxBandValue[i]);

	}

	/**
	 * @return Returns the bandNr.
	 */
	public int getBandNr() {
		return bandNr;
	}
}
